
jQuery(document).ready(function () {

    //GET THE FORM
    var form = $('#ajax-contact');

    //GET FORM MESSAGES
    var formMessages = $('#form-messages');

    $(form).submit(function(event) {
        //STOP BROWSER FORM SUBMISSION
        event.preventDefault();

        //SERIALIZE THE FORM DATA
        var formData = $(form).serialize();

        $.ajax({
            type: 'POST',
            url: $(form).attr('action'),
            data: formData
        })

        .done(function(response) {
            // Make sure that the formMessages div has the 'success' class.
            $(formMessages).removeClass('alert alert-danger');
            $(formMessages).addClass('alert alert-success');

            // Set the message text.
            $(formMessages).text(response);

            // Clear the form.
            $('#name').val('');
            $('#email').val('');
            $('#address').val('');
            $('#phone').val('');
            $('#message').val('');
        })

        .fail(function(data) {
            // Make sure that the formMessages div has the 'error' class.
            $(formMessages).removeClass('alert alert-success');
            $(formMessages).addClass('alert alert-danger');

            // Set the message text.
            if (data.responseText !== '') {
                $(formMessages).text(data.responseText);
            } else {
                $(formMessages).text('Oops! An error occured and your message could not be sent.');
            }
        });

    });


});